Package fr.gouv.vitam.storage.engine.common.model

# Enum Class OfferLogFormatVersion

java.lang.Object
java.lang.Enum<OfferLogFormatVersion>
fr.gouv.vitam.storage.engine.common.model.OfferLogFormatVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<OfferLogFormatVersion>`, `Constable`

public enum OfferLogFormatVersion extends Enum<OfferLogFormatVersion>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `V1`
  Deprecated.
  `V2`
  Write offer logs are stored only AFTER successful object storage in CAS (pessimistic)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OfferLogFormatVersion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OfferLogFormatVersion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### V1

    public static final OfferLogFormatVersion V1
    Deprecated.
    Write offer logs where stored BEFORE actual object storage in CAS (optimistic).

  - ### V2

    public static final OfferLogFormatVersion V2
    Write offer logs are stored only AFTER successful object storage in CAS (pessimistic)

- ## Method Details

  - ### values

    public static OfferLogFormatVersion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OfferLogFormatVersion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null